headless lms

List the actions automations can use (staff)

GET /api/automations/actions. List the actions automations can use (staff). Headless LMS Automations API reference.

GET
/api/automations/actions

Staff only (owner, admin, instructor).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automations/actions"
[  {    "type": "string",    "description": "string",    "inputSchema": {      "property1": null,      "property2": null    },    "source": "string"  }]
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}